Skip to content

Overview

CHILI GraFx

rn_icon

Fixes

  • Updated error message if you want to invite more than 10 users at once to CHILI GraFx
  • Disable 'Add Template Designer Seat' button when all Template Designer seats are assigned
  • Fix issue with logout button on 'MyAccount' page

GraFx Studio

rn_icon

We are working hard on delivering an end-to-end process, from Smart Templates created by designers to output generated by end users. Check out the template management page to learn more about this new way of working.

The first step in this process is organizing your templates in collections. This is available now!

In the next step, end users will be able to browse the collections and start a project from one of the templates. The project will be opened in a user-friendly interface where you can make changes and generate output.

screen

GraFx Studio

Version 0.122.1, using Studio SDK 0.122.0

rn_icon

Features

  • You can crop an image to manually resize and position it inside an image frame
  • Snap guides show up when creating, moving or resizing a frame to help you to nicely align the frames in your design

screenshot-fullwidth

screenshot-fullwidth

Improvements

  • You can use the arrow keys to move a frame in steps of 1 pixel, holding down the Shift key moves it in steps of 10 pixels
  • Creating, moving or resizing a frame is now done on a pixel grid, meaning that the x, y, width, and height properties have non-decimal values
  • Punctuation marks stay together with the preceding word and will not move to the next line

Fixes

  • Fixed issue where the animation sometimes blinked at the beginning or the end
  • Fixed issue where changing the width or height of a frame also caused an override on other properties
  • Fixed issue with constraining proportions when changing the width or height of a frame in the properties panel

GraFx Publisher

rn_icon

Fixes

  • Output: Improved stability of VDP outputs with a large amount of rows and variables
  • Output: Fixed output failure due to missing font
  • Output: Improved reliability of PDF output when the system is under high load

CHILI GraFx - Environment API

rn_icon

Added Endpoints

User is able to rename template attached to collection

  • PATCH /api/v1/template-collections/{collectionId}/templates/{templateId}

User is able to create, rename and delete project.

  • POST /api/v1/environments/{environmentId}/projects
  • PATCH /api/v1/environments/{environmentId}/projects/{projectId}
  • DELETE /api/v1/environments/{environmentId}/projects/{projectId}

User is able to download project json.

  • GET /api/v1/environments/{environmentId}/projects/{projectId}/document

Updated Endpoints

When a user attempts to delete a template attached to a collection, an error is returned. User is now able to use ‘force’ request parameter, the template will be deleted.

  • DELETE /api/v1/templates/{templateId}

Http method is changed from ‘PUT’ to ‘PATCH’.

The endpoint now allows partial update of template collection instead of full update.

  • PATCH /api/v1/template-collections/{templateCollectionId}

See Swagger Environment API.

GraFx Studio SDK

We renamed our repository and package for the SDK. The new name is studio-sdk, coming from editor-sdk.

Also a new version has been pushed, we're now at version 0.121.0

Note for integrators

This means you'll have to update your integration dependency, and change it from @chili-publish/editor-sdk to @chili-publish/studio-sdk inside your package.json.

Apr 19, 2023 - CHILI GraFx

rn_icon

Features

  • You can invite users to CHILI GraFx
  • When you invite a user to CHILI GraFx you can assign this user to an GraFx environment and assign the role this user needs to have in this environment
  • You can remove the role 'Subscription Admin' from other users
  • You can add an existing user to additional GraFx environments and assign the role this user needs to have in this environment
  • You can access GraFx Publisher within the CHILI GraFx environment with SSO
  • You can login in GraFx Publisher from the direct URL with your CHILI GraFx account

2023-04-14_16-26-11

Read more about User Management.

GraFx Publisher

Boost Platform Performance

GraFx Publisher comes with more than just a name change, this year it is all about improving platform performance. We've listened to your feedback and revamped our platform infrastructure to deliver blazing-fast file operations, including moving, copying, and deleting. This means you can work efficiently even in large environments! 🚀

GraFx Studio

Version 0.117.1, using Studio SDK 0.117.0

rn_icon

Improvements

  • When applying a blend mode to a text frame you automatically go out of text edit mode (this way you can see the effect of the blend mode, because it is not applied while in text edit mode)
  • You can now easily download the JSON file of the template with a "Download doc" trigger in the debug panel

Fixes

  • Fixed issue with MacBook being detected as a mobile device, causing issues with frame handles
  • Fixed issue with opacity not being applied to fill and stroke for shapes
  • Fixed issue when using a swatch as fill color for shapes, which caused the shape color to not change immediately on the canvas when the swatch color is changed
  • Fixed issue with text not being selectable with the Text tool when a blend mode is applied to the text frame
Note for integrators

There is a minor breaking change in the Studio SDK's typings. It basically boils down to changing the import for the Id type, you can do it as follows:
Change import { Id } from '@chili-publish/studio-sdk/lib/types/CommonTypes'
To import { Id } from '@chili-publish/studio-sdk'
For more information, please check out the SDK release notes.